#MenuTitle: Set RSB to Selected Node
# -*- coding: utf-8 -*-
__doc__="""
Sets the RSB to the leftmost node of the selection in a layer.
"""

import GlyphsApp
import math

f = Glyphs.font # frontmost font
m = f.selectedFontMaster # active master
l0 = f.selectedLayers[0]

if len(l0.selection) > 0:
	if m.italicAngle == 0:
		l0.width = l0.selection[0].x
	else:
		x, y = l0.selection[0].position
		l0.width = x - (y - m.xHeight/2) * math.sin(math.radians(m.italicAngle))